VERIFIED SOLUTION i

How to find out the EngageOne Interactive, Doc1 Designer, and Doc1 Generate component compatibility

Product Feature: Installation / Upgrade
As long as Generate is at least as new as the Interactive Editor component and the Designer versions; and the Interactive Editor is at least as new as the Designer version; there should be no issues compatibility-wise.
If specific bug fixes are needed, the user should confirm they are present in all relevant components.

In short: Designer version =< Editor Version =< Generate version.
The rest of EO server must merely be from the same generation, i.e. 3.x = 6.x.
UPDATED:  November 3, 2017